### Method

# Soup WebsocketConnection get_protocol

#### Declaration [src]

    const char*
    soup_websocket_connection_get_protocol (
      SoupWebsocketConnection* self
    )

#### Description [src]

Get the protocol chosen via negotiation with the peer.

Gets property | `Soup.WebsocketConnection:protocol`

#### Return value

Returns: | `const char*`
| The chosen protocol.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.